# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v5.10.12
  - 05f6d2aa7e2f Linux 5.10.12
  - d5ac8304e180 printk: fix string termination for record_print_text()
  ACK: pavel
  - 861c2e349a36 printk: fix buffer overflow potential for print_text()
  ACK: pavel -- really needs to use local variables; buggy -- randomly corrupts memory, fixed by next commit
  - cb14bbbb7bbf tools: Factor HOSTCC, HOSTLD, HOSTAR definitions
  ACK: pavel -- just a cleanup
  - f472a59aa182 mm: fix a race on nr_swap_pages
  ACK: pavel
  - c11f7749f1fc mm/page_alloc: add a missing mm_page_alloc_zone_locked() tracepoint
  UR: pavel -- not a minimum fix, adds unneeded check
  - c6fd968f5843 objtool: Don't fail on missing symbol table
  ACK: pavel
  - d92d00861e98 io_uring: fix sleeping under spin in __io_clean_op
  UR: pavel --! code is significantly different in last chunk
  - 7bccd1c19128 io_uring: dont kill fasync under completion_lock
  ACK: pavel
  - 186725a80c4e io_uring: fix skipping disabling sqo on exec
  ACK: pavel
  - 54b4c4f9aba9 io_uring: fix uring_flush in exit_files() warning
  ACK: pavel -- just a WARN() fix
  - 0682759126bc io_uring: fix false positive sqo warning on flush
  ACK: pavel -- just a WARN() fix
  - 8cb6f4da831b io_uring: do sqo disable on install_fd error
  ACK: pavel -- just a WARN() fix
  - 0e3562e3b2ae io_uring: fix null-deref in io_disable_sqo_submit
  ACK: pavel
  - a63d9157571b io_uring: stop SQPOLL submit on creator's death
  UR: pavel -- buggy, fixed up by subsequent commits
  - da67631a33c3 io_uring: add warn_once for io_uring_flush()
  ACK: pavel -- not a minimum fix, wrong formatting of "upstream" tag.
  - 18f31594ee52 io_uring: inline io_uring_attempt_task_drop()
  ACK: pavel -- just an equivalent cleanup/preparation
  - 7bf3fb6243a3 kernel/io_uring: cancel io_uring before task works
  ACK: pavel
  - 08a922a6fdf8 iwlwifi: dbg: Don't touch the tlv data
  ACK: pavel
  - 1fa2fa7932f9 RDMA/vmw_pvrdma: Fix network_hdr_type reported in WC
  ACK: pavel -- just an interface fix
  - 77727dfda786 media: v4l2-subdev.h: BIT() is not available in userspace
  ACK: pavel
  - 94fb5ff34544 media: Revert "media: videobuf2: Fix length check for single plane dmabuf queueing"
  ACK: pavel
  - 0fa0a05b4089 HID: multitouch: Apply MT_QUIRK_CONFIDENCE quirk for multi-input devices
  ACK: pavel -- typo "palm ejection"
  - a7f6d4ab4434 HID: wacom: Correct NULL dereference on AES pen proximity
  UR: pavel -- mising pen_fifo allocation?
  - e843e4f78258 futex: Handle faults correctly for PI futexes
  UR: pavel
  - abc4dd792f8d futex: Simplify fixup_pi_state_owner()
  UR: pavel
  - a597f12e971c futex: Use pi_state_update_owner() in put_pi_state()
  UR: pavel
  - 6d28ac502f9a rtmutex: Remove unused argument from rt_mutex_proxy_unlock()
  ACK: pavel -- just a cleanup/preparation
  - 5b2c5a9561c2 futex: Provide and use pi_state_update_owner()
  UR: pavel
  - 5ede8ee2cb16 futex: Replace pointless printk in fixup_owner()
  ACK: pavel -- just a better handling for condition can not happen
  - ab5e9a320e44 futex: Ensure the correct return value from futex_lock_pi()
  UR: pavel -- c/e
  - bf5eb7d21ab0 Revert "mm/slub: fix a memory leak in sysfs_slab_add()"
  ACK: pavel -- re-introduces memory leak, AFAICS, but better than double-free
  - 43f2e6077f44 gpio: mvebu: fix pwm .get_state period calculation
  UR: pavel
